diff options
author | Jim Meyering <jim@meyering.net> | 2006-11-28 13:36:37 +0100 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2006-11-28 13:36:37 +0100 |
commit | 1ddf7faf11c9f24d2822bf9e588895743bd5e3fa (patch) | |
tree | 4ba984731f04dfe307183a1e6e7bd0a4f7da231c | |
parent | db7092bed3d172f7033dab05b62ad131046f1bf3 (diff) | |
download | coreutils-1ddf7faf11c9f24d2822bf9e588895743bd5e3fa.tar.xz |
* tests/mv/no-target-dir: Detect a buggy rename syscall. If found,
skip this test. This happens at least on ia64 linux-2.4.19 w/ext3.
Reported by Matthew Woehlke.
-rw-r--r-- | ChangeLog | 4 | ||||
-rwxr-xr-x | tests/mv/no-target-dir | 8 |
2 files changed, 12 insertions, 0 deletions
@@ -1,5 +1,9 @@ 2006-11-28 Jim Meyering <jim@meyering.net> + * tests/mv/no-target-dir: Detect a buggy rename syscall. If found, + skip this test. This happens at least on ia64 linux-2.4.19 w/ext3. + Reported by Matthew Woehlke. + * tests/mv/dir2dir: Also accept EBUSY. Reported by Matthew Woehlke. diff --git a/tests/mv/no-target-dir b/tests/mv/no-target-dir index cf4891c58..db7fe9456 100755 --- a/tests/mv/no-target-dir +++ b/tests/mv/no-target-dir @@ -35,11 +35,19 @@ cd $tmp || framework_failure=1 mkdir -p d/sub empty src d2/sub e2 || framework_failure=1 touch f || framework_failure=1 +# Skip this test if there's an underlying kernel bug. +mkdir a b b/a || framework_failure=1 + if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 (exit 1); exit 1 fi +mv a b || { + echo "$0: skipping this test: your kernel's rename syscall is buggy" 1>&2 + (exit 77); exit 77 +} + fail=0 # This should succeed, since both src and dest are directories, |